{
    "$schema": "https://docs.renovatebot.com/renovate-schema.json",
    "extends": [
        "config:recommended"
    ],
    "packageRules": [
        {
            "matchManagers": [
                "github-actions"
            ],
            "matchFileNames": [
                ".forgejo/workflows/*.yml",
                ".forgejo/workflows/*.yaml"
            ],
            "automerge": true
        },
        {
            "matchManagers": [
                "pep621"
            ],
            "rangeStrategy": "bump"
        },
        {
            "matchPackageNames": [
                "python"
            ],
            "matchManagers": [
                "dockerfile"
            ],
            "versioning": "docker"
        }
    ],
    "labels": [
        "dependencies"
    ],
    "lockFileMaintenance": {
        "enabled": true,
        "schedule": [
            "before 5am on monday"
        ]
    },
    "prConcurrentLimit": 5,
    "branchConcurrentLimit": 10
}